> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anabosi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Users

> #### Only Supervisors and Administrtors can access this route

###### Response object is expected to be like this:

JSON

``` json
{
    "success": true,
    "data": [
        {
            "_id": "",
            "username": "",
            "email": "",
            "phoneNumber": "",
            "accessLevel": "",
            "active": ,
            "fullName": ""
        },
    ]
}

```

Query Params

- search: regex search for user full name



## OpenAPI

````yaml get /users
openapi: 3.0.0
info:
  title: Manager-API 2.0
  version: 2.0.0
servers:
  - url: http://{{baseurl}}
security:
  - bearerAuth: []
tags:
  - name: Auth
    description: Authenticaition related routes.
  - name: Users
  - name: Logs
  - name: Payees
  - name: Cheques
  - name: Bills
paths:
  /users:
    get:
      tags:
        - Users
      summary: Get All Users
      description: |-
        #### Only Supervisors and Administrtors can access this route

        ###### Response object is expected to be like this:

        JSON

        ``` json
        {
            "success": true,
            "data": [
                {
                    "_id": "",
                    "username": "",
                    "email": "",
                    "phoneNumber": "",
                    "accessLevel": "",
                    "active": ,
                    "fullName": ""
                },
            ]
        }

        ```

        Query Params

        - search: regex search for user full name
      parameters:
        - name: Content-Type
          in: header
          schema:
            type: string
          example: application/json
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````